Loading...
Searching...
No Matches
aminoacid_alphabet Interface Reference
Alphabet » Aminoacid

A concept that indicates whether an alphabet represents amino acids. More...

`#include <seqan3/alphabet/aminoacid/concept.hpp>`

Inheritance diagram for aminoacid_alphabet:
[legend]

## Detailed Description

A concept that indicates whether an alphabet represents amino acids.

Since an amino acid alphabet has no specific characteristics (like the complement function for nucleotide alphabets), we distinguish an amino acid alphabet by the seqan3::is_aminoacid type trait.

### Concepts and doxygen

The requirements for this concept are given as related functions and type traits. Types that satisfy this concept are shown as "implementing this interface".

This entity is stable. Since version 3.1.

The documentation for this interface was generated from the following file:

- alphabet/aminoacid/concept.hpp

Hide me